summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author ponce2011-12-27 08:59:55 +0100
committer Robby Workman2011-12-27 17:15:25 +0100
commit3ff9d32652263ddc979fe34c1eff534c861713e0 (patch)
tree4194c7ab2a9b21f66c69353ebdb5da094d7c9316 /system
parent63f2897b8ea90121046f9512cd598adbc0b3ca38 (diff)
downloadslackbuilds-3ff9d32652263ddc979fe34c1eff534c861713e0.tar.gz
system/lxterminal: Updated for version 20111215_3144cf2
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/lxterminal/doinst.sh2
-rw-r--r--system/lxterminal/lxterminal.SlackBuild26
-rw-r--r--system/lxterminal/lxterminal.info8
3 files changed, 18 insertions, 18 deletions
diff --git a/system/lxterminal/doinst.sh b/system/lxterminal/doinst.sh
index 3857649f50..5fb28930db 100644
--- a/system/lxterminal/doinst.sh
+++ b/system/lxterminal/doinst.sh
@@ -1,3 +1,3 @@
if [ -x /usr/bin/update-desktop-database ]; then
- /usr/bin/update-desktop-database -q usr/share/applications &> /dev/null
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi
diff --git a/system/lxterminal/lxterminal.SlackBuild b/system/lxterminal/lxterminal.SlackBuild
index aae24b4088..9b64b7af78 100644
--- a/system/lxterminal/lxterminal.SlackBuild
+++ b/system/lxterminal/lxterminal.SlackBuild
@@ -22,14 +22,14 @@
# SUCH DAMAGE.
# -----------------------------------------------------------------------------
#
-# Slackware SlackBuild script
+# Slackware SlackBuild script
# ===========================
# By: Eric Hameleers <alien@slackware.com>
# For: lxterminal
# Descr: LXDE terminal emulator
# URL: http://lxde.sourceforge.net/
# Needs: only during compilation: intltool
-# Changelog:
+# Changelog:
# 0.1.2-1: 23/Jun/2008 by Eric Hameleers <alien@slackware.com>
# * Initial build.
# 0.1.3-1: 02/aug/2008 by Eric Hameleers <alien@slackware.com>
@@ -46,26 +46,26 @@
# * Update.
# 0.1.9-1: 12/sep/2010 by ponce <matteo.bernardini@gmail.com>
# * Update.
-#
+# 20111215_3144cf2: 26/dec/2011 by ponce <matteo.bernardini@gmail.com>
+# * Update.
+#
# Run 'sh lxterminal.SlackBuild' to build a Slackware package.
# The package is created in /tmp .
-# Install using 'installpkg'.
+# Install using 'installpkg'.
#
# -----------------------------------------------------------------------------
# Set initial variables:
PRGNAM=lxterminal
-VERSION=${VERSION:-0.1.9}
+VERSION=${VERSION:-20111215_3144cf2}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -106,6 +106,8 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+sh autogen.sh || true
+
CXXFLAGS="$SLKCFLAGS" \
CFLAGS="$SLKCFLAGS" \
./configure \
@@ -121,15 +123,13 @@ CFLAGS="$SLKCFLAGS" \
make
make install-strip DESTDIR=$PKG
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
# Add documentation:
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION || true
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-chown -R root:root $PKG/usr/doc/$PRGNAM-$VERSION
-find $PKG/usr/doc -type f -exec chmod 644 {} \;
-
-find $PKG/usr/man -type f -exec gzip -9 {} \;
-for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
diff --git a/system/lxterminal/lxterminal.info b/system/lxterminal/lxterminal.info
index ed7f036c0d..ab0be23699 100644
--- a/system/lxterminal/lxterminal.info
+++ b/system/lxterminal/lxterminal.info
@@ -1,10 +1,10 @@
PRGNAM="lxterminal"
-VERSION="0.1.9"
+VERSION="20111215_3144cf2"
HOMEPAGE="http://wiki.lxde.org/en/LXTerminal"
-DOWNLOAD="http://download.sourceforge.net/lxde/lxterminal-0.1.9.tar.gz"
-MD5SUM="cb10cc667611dce3c141294712049c43"
+DOWNLOAD="http://ponce.cc/slackware/sources/repo/lxde/lxterminal-20111215_3144cf2.tar.xz"
+MD5SUM="81f5a3b607b0edd43b36d52fddc79ba7"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
MAINTAINER="ponce"
EMAIL="matteo.bernardini@gmail.com"
-APPROVED="dsomero"
+APPROVED="Erik Hanson"